vnfd:
  description: Virtual Desktop Computer with Xubuntu Desktop and RDP
  df:
  - id: default-df
    instantiation-level:
    - id: default-instantiation-level
      vdu-level:
      - number-of-instances: 1
        vdu-id: virtual-pc
    vdu-profile:
    - id: virtual-pc
      min-number-of-instances: 1
    lcm-operations-configuration:
      operate-vnf-op-config:
        day1-2:
        - config-access:
            ssh-access:
              default-user: ubuntu
              required: true
          id: virtual-pc
          execution-environment-list:
          - id: virtual-pc-ee
            juju:
              charm: virtual-pc
              proxy: false
          initial-config-primitive:
          - name: config
            execution-environment-ref: virtual-pc-ee
            seq: 1
          config-primitive:
          - name: add-package
            execution-environment-ref: virtual-pc-ee
            parameter:
            - data-type: STRING
              name: package
          - name: reboot
            execution-environment-ref: virtual-pc-ee
          - name: remove-package
            execution-environment-ref: virtual-pc-ee
            parameter:
            - data-type: STRING
              name: package
          - name: update-system
            execution-environment-ref: virtual-pc-ee

  ext-cpd:
  - id: virtual-pc-private-ext
    int-cpd:
      cpd: eth0-int
      vdu-id: virtual-pc
  - id: virtual-pc-mgmt-ext
    int-cpd:
      cpd: eth1-int
      vdu-id: virtual-pc
  id: hackfest_virtual-pc_vnf
  mgmt-cp: virtual-pc-mgmt-ext

  product-name: hackfest_virtual-pc_vnf
  provider: Canonical
  sw-image-desc:
  - id: ubuntu20.04
    image: ubuntu20.04
    name: ubuntu20.04
  vdu:
  - cloud-init-file: virtual-pc_init
    description: virtual-pc
    id: virtual-pc
    int-cpd:
    - id: eth0-int
      virtual-network-interface-requirement:
      - name: eth0
        virtual-interface:
          type: PARAVIRT
    - id: eth1-int
      virtual-network-interface-requirement:
      - name: eth1
        virtual-interface:
          type: PARAVIRT
    name: virtual-pc-vdu
    sw-image-desc: ubuntu20.04
    virtual-compute-desc: virtual-pc-vdu-compute
    virtual-storage-desc:
    - virtual-pc-vdu-storage
  version: '1.0'
  virtual-compute-desc:
  - id: virtual-pc-vdu-compute
    virtual-cpu:
      num-virtual-cpu: 8
    virtual-memory:
      size: 32.0
  virtual-storage-desc:
  - id: virtual-pc-vdu-storage
    size-of-storage: 120
